package com.yem.wm.im.giftrule.op;

import com.yem.wm.im.giftrule.validator.SubmitOpValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

/**
 * @author power
 * @ClassName 礼品规则
 * @description: 提交检验
 * @date 2023/10/9
 */
public class GiftRuleSubmitOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        e.getFieldKeys().add("yem_bd_giftrules_a");
        e.getFieldKeys().add("yem_bd_giftrules_b");
        e.getFieldKeys().add("yem_bd_giftrules_c");
        e.getFieldKeys().add("yem_producttype");
        e.getFieldKeys().add("yem_producttypea");

    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {e.addValidator(new SubmitOpValidator());}

    }
